

function Wgt = CT_TD (t,v,Phase)

% Input

% RMS of the Gust Velocity [m/s]
sig_g = 1;

% Aircraft Speed (TAS) [m/s]
V = v;

% Turbulence's Caractheristic Scale Wavelength [m]
L = 762;

cont = 0;
Wgt = 0;


for j = -4:0.01:1.2

cont = cont+1;
f =  10^j;

OMEGA = 2*pi*f/V;
PHI_gg = (sig_g^2)*(L/pi)*(1+(8/3)*((1.339*OMEGA*L)^2))/((1+(1.339*OMEGA*L)^2)^(11/6));
%PHI_gg = (sig_g^2)*(2*L/V)*(1+(8/3)*((1.339*OMEGA*L)^2))/((1+(1.339*OMEGA*L)^2)^(11/6));
wgw = sqrt(PHI_gg*OMEGA/2);
  
Wgt = Wgt+wgw*sin(OMEGA*V*t+Phase(cont));


end


endfunction
