% Auxiliary function to evaluate the 1-cos profile for more than 1 half-period 

function Wg = Wgcosc (x,Wg0,Lg,c)

% x = tal = t*2*V/c

 if   x < 2*Lg/c
    
  Wg = Wg0/2*(1-cos(pi*c*x/Lg));
  
else
  
  Wg = 0;
  
endif


endfunction
